<?php

namespace Database\Seeders;

use Illuminate\Support\Str;
use App\Models\api\v1\Role;
use Illuminate\Database\Seeder;

class RoleSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        if(Role::count() == 0)
        {
            Role::create([
                "name"          => "Client",
                "is_active"     => 1,
                "created_by"    => 1
            ]);

            Role::create([
                "name"          => "Serveur",
                "is_active"     => 1,
                "created_by"    => 1
            ]);

            Role::create([
                "name"          => "Marchand",
                "is_active"     => 1,
                "created_by"    => 1
            ]);
        }
    }
}
